From f2e8b2ebcd7edc0e8f15f6c8b676a063e1e50983 Mon Sep 17 00:00:00 2001
From: Raghav Gururajan <raghavgururajan@disroot.org>
Date: Wed, 1 Apr 2020 23:57:39 -0400
Subject: [PATCH 19/19] gnu: Add spandsp

* gnu/packages/telephony.scm (spandsp): New variable.
---
 gnu/packages/telephony.scm | 96 +++++++++-----------------------------
 1 file changed, 22 insertions(+), 74 deletions(-)

diff --git a/gnu/packages/telephony.scm b/gnu/packages/telephony.scm
index 9c2c499ed7..1365fb997c 100644
--- a/gnu/packages/telephony.scm
+++ b/gnu/packages/telephony.scm
@@ -99,87 +99,35 @@
      (origin
        (method url-fetch)
        (uri
-        ;; The original upstream has been down since the end of March 2020.
-        (string-append "https://web.archive.org/web/20180626203108/"
-                       "https://www.soft-switch.org/downloads/" name "/"
+        (string-append "https://www.soft-switch.org/downloads/" name "/"
                        name "-" version ".tar.gz"))
        (sha256
         (base32 "0rclrkyspzk575v8fslzjpgp4y2s4x7xk3r55ycvpi4agv33l1fc"))))
     (build-system gnu-build-system)
-    (outputs '("out" "doc" "static"))   ;doc contains HTML documentation
     (arguments
-     `(#:configure-flags '("--enable-doc=yes" "--enable-tests=yes")
-       #:parallel-tests? #f ;fails removing the same the files twice otherwise
-       #:phases (modify-phases %standard-phases
-                  (add-after 'unpack 'patch-configure.ac
-                    (lambda _
-                      ;; spandsp looks at hard coded locations of the FHS to
-                      ;; find libxml2.
-                      (substitute* "configure.ac"
-                        (("AC_MSG_CHECKING\\(for libxml/xmlmemory\\.h.*" all)
-                         (string-append all
-                                        "PKG_CHECK_MODULES(XML2, libxml-2.0)\n"
-                                        "CPPFLAGS+=\" $XML2_CFLAGS\"\n")))
-                      ;; Force a regeneration of the autotools build system.
-                      (delete-file "autogen.sh")
-                      (delete-file "configure")
-                      #t))
-                  (add-after 'unpack 'do-not-install-data-files
-                    ;; The .tiff images produced for tests are not
-                    ;; reproducible and it is not desirable to have those
-                    ;; distributed.
-                    (lambda _
-                      (substitute* '("test-data/itu/fax/Makefile.am"
-                                     "test-data/etsi/fax/Makefile.am")
-                        (("nobase_data_DATA")
-                         "noinst_DATA"))
-                      #t))
-                  (add-after 'install 'install-doc
-                    (lambda* (#:key outputs #:allow-other-keys)
-                      (let ((doc (string-append (assoc-ref outputs "doc")
-                                                "/share/doc/" ,name "-" ,version)))
-                        (copy-recursively "doc/t38_manual" doc)
-                        #t)))
-                  (add-after 'install 'move-static-libraries
-                    (lambda* (#:key outputs #:allow-other-keys)
-                      (let ((out (assoc-ref outputs "out"))
-                            (static (assoc-ref outputs "static")))
-                        (mkdir-p (string-append static "/lib"))
-                        (with-directory-excursion out
-                          (for-each (lambda (file)
-                                      (rename-file file
-                                                   (string-append static "/"
-                                                                  file)))
-                                    (find-files "lib" "\\.a$")))
-                        #t))))))
+     `(#:configure-flags
+       (list
+        "--disable-static")             ; Not required
+       #:phases
+       (modify-phases %standard-phases
+         (delete 'check))))             ; Not required
     (native-inputs
-     `(("autoconf" ,autoconf)
-       ("automake" ,automake)
-       ("libtool" ,libtool)
-       ("pkg-config" ,pkg-config)
-       ;; For the tests
-       ("fftw" ,fftw)
-       ("libpcap" ,libpcap)
-       ("libsndfile" ,libsndfile)
-       ("libtiff" ,libtiff)
-       ("netpbm" ,netpbm)
-       ("sox" ,sox)
-       ;; For the documentation
-       ("docbook-xml" ,docbook-xml-4.3)
-       ("docbook-xsl" ,docbook-xsl)
-       ("doxygen" ,doxygen)
-       ("libxml2" ,libxml2)
-       ("libxslt" ,libxslt)))
+     `(("zlib" ,zlib)))
+    (propagated-inputs
+     `(("libtiff" ,libtiff)))
     (synopsis "DSP library for telephony")
-    (description "SpanDSP is a library of DSP functions for telephony, in the
-8000 sample per second world of E1s, T1s, and higher order PCM channels.  It
-contains low level functions, such as basic filters.  It also contains higher
-level functions, such as cadenced supervisory tone detection, and a complete
-software FAX machine.")
-    (home-page "https://web.archive.org/web/20180626203108/\
-https://www.soft-switch.org/index.html")
-    (license (list license:lgpl2.1+  ;for the library
-                   license:gpl2+)))) ;for the test suites and support programs
+    (description "SpanDSP is a library of DSP functions for telephony,
+in the 8000 sample per second world of E1s, T1s, and higher orderPCM channels.
+It contains low level functions, such as basic filters.  It also contains
+higher level functions, such as cadenced supervisory tone detection, and a
+complete software FAX machine.")
+    (home-page "https://www.soft-switch.org/index.html")
+    (license
+     (list
+      ;; For Library
+      license:lgpl2.1+
+      ;; For Test Suites and Support Programs
+      license:gpl2+))))
 
 (define-public commoncpp
   (package
-- 
2.26.0

